summaryrefslogtreecommitdiffstats
path: root/tests/integration/folders.bats
diff options
context:
space:
mode:
authorSean Molenaar <sean@seanmolenaar.eu>2021-03-01 21:10:46 +0100
committerSean Molenaar <SMillerDev@users.noreply.github.com>2021-03-31 22:39:00 +0200
commit78dce7ffe18665bf083ff69631db8ae128a2b99f (patch)
tree1f4e61970b7461afd968552f4bccef53daedbb93 /tests/integration/folders.bats
parent17f773b723538eedf5bd2efcb8d2c85783d7050f (diff)
DB: Updates should use set()
Issue GH-1211 Signed-off-by: Sean Molenaar <sean@seanmolenaar.eu>
Diffstat (limited to 'tests/integration/folders.bats')
-rw-r--r--tests/integration/folders.bats17
1 files changed, 16 insertions, 1 deletions
diff --git a/tests/integration/folders.bats b/tests/integration/folders.bats
index 9dde06861..48b15f05b 100644
--- a/tests/integration/folders.bats
+++ b/tests/integration/folders.bats
@@ -36,6 +36,21 @@ teardown() {
fi
}
+@test "[$TESTSUITE] Read all" {
+ ./occ news:folder:add "$user" "Something-${BATS_SUITE_TEST_NUMBER}"
+
+ ID=$(./occ news:folder:list 'admin' | grep "Something-${BATS_SUITE_TEST_NUMBER}" -1 | head -1 | grep -oE '[0-9]*')
+
+ run ./occ news:folder:read "$user" "$ID" -v
+ [ "$status" -eq 0 ]
+
+ if ! echo "$output" | grep "items as read"; then
+ ret_status=$?
+ echo "Folder not read"
+ return $ret_status
+ fi
+}
+
@test "[$TESTSUITE] Delete all" {
ID=$(./occ news:folder:add "$user" "Something-${BATS_SUITE_TEST_NUMBER}" | grep -oE '[0-9]*')
@@ -46,4 +61,4 @@ teardown() {
run ./occ news:folder:delete "$user" "$ID"
[ "$status" -eq 0 ]
-} \ No newline at end of file
+}